Skip to main content

POST v3/products

POST 

/v3/products

Create a new product.

Limitations of POST /v3/products​

When using this endpoint, expect the following limitations are applicable

  • The sku must be unique and never used before in the context of the user.
  • The barcode must be unique and never used before in the context of the user.
  • The name is used both internally and towards consumer communication, however it is possible to specify a different name during ordering on the orderItem which will be used within that order and related shipment(s)
  • hsCode limitations:
    • To specify the 'default' or'fallback' hsCodes make use of country XX to denote the default hsCode to use in most scenarios.
    • When at least one hsCode is provided, but none have country XX, the system will copy EU, NL or the first entry as the default/fallback hsCode.
    • hsCodes are not formatted and consist of digits only. Other characters will be stripped from the code.
  • Products that are perishable and for which the expiration date must be registered during processing of inbound must have:
    • expirationDate set to SCAN_AT_INBOUND.
    • expirationDateMargin to a positive number.
    • expirationDateWarning to be number equal or larger than expirationDateMargin.

Request​

Responses​

OK